# Uses of Class
com.fasterxml.jackson.core.util.BufferRecycler

Packages that use BufferRecycler
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of BufferRecycler in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core with type parameters of type BufferRecycler
Modifier and Type
Field
Description
`protected RecyclerPool<BufferRecycler>`
JsonFactory.`_recyclerPool`
`protected RecyclerPool<BufferRecycler>`
TSFBuilder.`_recyclerPool`
Methods in com.fasterxml.jackson.core that return BufferRecycler
Modifier and Type
Method
Description
`BufferRecycler`
JsonFactory.`_getBufferRecycler()`
Method used by factory to create buffer recycler instances for parsers and generators.
Methods in com.fasterxml.jackson.core that return types with arguments of type BufferRecycler
Modifier and Type
Method
Description
`RecyclerPool<BufferRecycler>`
JsonFactory.`_getRecyclerPool()`
Accessor for getting access to `RecyclerPool` for getting `BufferRecycler` instance to use.
`RecyclerPool<BufferRecycler>`
TSFBuilder.`recyclerPool()`
Method parameters in com.fasterxml.jackson.core with type arguments of type BufferRecycler
Modifier and Type
Method
Description
`B`
TSFBuilder.`recyclerPool(RecyclerPool<BufferRecycler> p)`
`JsonFactory`
JsonFactory.`setRecyclerPool(RecyclerPool<BufferRecycler> p)`

## Uses of BufferRecycler in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as BufferRecycler
Modifier and Type
Field
Description
`protected final BufferRecycler`
IOContext.`_bufferRecycler`
Recycler used for actual allocation/deallocation/reuse
Constructors in com.fasterxml.jackson.core.io with parameters of type BufferRecycler
Modifier
Constructor
Description
``
`IOContext(StreamReadConstraints src, StreamWriteConstraints swc, ErrorReportConfiguration erc, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Main constructor to use.
``
`IOContext(StreamReadConstraints src, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Deprecated.
Since 2.16.
``
`IOContext(BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Deprecated.
Since 2.15.
``
`IOContext(BufferRecycler br, Object rawContent, boolean managedResource)`
Deprecated.
``
`SegmentedStringWriter(BufferRecycler br)`

## Uses of BufferRecycler in com.fasterxml.jackson.core.util

Fields in com.fasterxml.jackson.core.util with type parameters of type BufferRecycler
Modifier and Type
Field
Description
`protected static final ThreadLocal<SoftReference<BufferRecycler>>`
BufferRecyclers.`_recyclerRef`
Deprecated.
This `ThreadLocal` contains a `SoftReference` to a `BufferRecycler` used to provide a low-cost buffer recycling between reader and writer instances.
Methods in com.fasterxml.jackson.core.util that return BufferRecycler
Modifier and Type
Method
Description
`BufferRecycler`
JsonRecyclerPools.NonRecyclingPool.`acquirePooled()`
`BufferRecycler`
JsonRecyclerPools.ThreadLocalPool.`acquirePooled()`
`BufferRecycler`
JsonRecyclerPools.BoundedPool.`createPooled()`
`BufferRecycler`
JsonRecyclerPools.ConcurrentDequePool.`createPooled()`
`BufferRecycler`
JsonRecyclerPools.LockFreePool.`createPooled()`
`static BufferRecycler`
BufferRecyclers.`getBufferRecycler()`
Deprecated.
Since 2.16 should use `RecyclerPool` abstraction instead of calling static methods of this class
`BufferRecycler`
BufferRecycler.`withPool(RecyclerPool<BufferRecycler> pool)`
Method called by owner of this recycler instance, to provide reference to `RecyclerPool` into which instance is to be released (if any)
Methods in com.fasterxml.jackson.core.util that return types with arguments of type BufferRecycler
Modifier and Type
Method
Description
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`defaultPool()`
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`newBoundedPool(int size)`
Accessor for constructing a new, non-shared `JsonRecyclerPools.BoundedPool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`newConcurrentDequePool()`
Accessor for constructing a new, non-shared `JsonRecyclerPools.ConcurrentDequePool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`newLockFreePool()`
Accessor for constructing a new, non-shared `JsonRecyclerPools.LockFreePool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`nonRecyclingPool()`
Accessor for getting the shared/global `JsonRecyclerPools.NonRecyclingPool` instance (due to design only one instance ever needed)
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`sharedBoundedPool()`
Accessor for getting the shared/global `JsonRecyclerPools.BoundedPool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`sharedConcurrentDequePool()`
Accessor for getting the shared/global `JsonRecyclerPools.ConcurrentDequePool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`sharedLockFreePool()`
Accessor for getting the shared/global `JsonRecyclerPools.LockFreePool` instance.
`static RecyclerPool<BufferRecycler>`
JsonRecyclerPools.`threadLocalPool()`
Accessor for getting the shared/global `JsonRecyclerPools.ThreadLocalPool` instance (due to design only one instance ever needed)
Method parameters in com.fasterxml.jackson.core.util with type arguments of type BufferRecycler
Modifier and Type
Method
Description
`BufferRecycler`
BufferRecycler.`withPool(RecyclerPool<BufferRecycler> pool)`
Method called by owner of this recycler instance, to provide reference to `RecyclerPool` into which instance is to be released (if any)
Constructors in com.fasterxml.jackson.core.util with parameters of type BufferRecycler
Modifier
Constructor
Description
``
`ByteArrayBuilder(BufferRecycler br)`
``
`ByteArrayBuilder(BufferRecycler br, int firstBlockSize)`
``
`ReadConstrainedTextBuffer(StreamReadConstraints streamReadConstraints, BufferRecycler bufferRecycler)`
``
`TextBuffer(BufferRecycler allocator)`
`protected`
`TextBuffer(BufferRecycler allocator, char[] initialSegment)`